Bug 246382 - [PATCH] graphics/ufraw - fix 13-CURRENT build
Summary: [PATCH] graphics/ufraw - fix 13-CURRENT build
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Rodrigo Osorio
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-05-11 19:22 UTC by Cy Schubert
Modified: 2020-05-30 16:44 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (rodrigo)


Attachments
Fix build under LLVM 10 on 13-CURRENT (495 bytes, patch)
2020-05-11 19:22 UTC, Cy Schubert
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Cy Schubert freebsd_committer 2020-05-11 19:22:29 UTC
Created attachment 214386 [details]
Fix build under LLVM 10 on 13-CURRENT

c++ -DHAVE_CONFIG_H -I.  -I/usr/local/include  -I/usr/local/include -I/usr/local/include/gtk-2.0 -I/usr/local/include/pango-1.0 -I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include -I/usr/local/include/cairo -I/usr/local/include/pixman-1 -I/usr/local/include/freetype2 -I/usr/local/include/libpng16 -I/usr/local/include/libdrm -I/usr/local/include/harfbuzz -I/usr/local/include/gdk-pixbuf-2.0 -I/usr/local/include/atk-1.0 -D_THREAD_SAFE -pthread  -I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include -I/usr/local/include -pthread  -I/usr/local/include  -I/usr/local/include -I/usr/local/include/lensfun -I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include  -I/usr/local/include  -I/usr/local/include/libpng16  -I/usr/local/include  -DDCRAW_NOMAIN -DUFRAW_LOCALEDIR=\"/usr/local/share/locale\" -I/usr/local/include  -O2 -pipe -pipe -fstack-protector-strong -fno-strict-aliasing   -fopenmp -MT dcraw_api.o -MD -MP -MF .deps/dcraw_api.Tpo -c -o dcraw_api.o dcraw_api.cc
dcraw_api.cc:909:77: error: variable 'black' must have explicitly specified data
      sharing attributes
  ...gint32 p = (gint64)(get_pixel(h, dark, i, cc, pixels) - black) *
                                                             ^~~~~
dcraw_api.cc:903:63: note: explicit data sharing attribute requested here
            #pragma omp parallel for schedule(static) default(none) \
                                                              ^
dcraw_api.cc:906:33: error: variable 'pixels' must have explicitly specified
      data sharing attributes
            for (int i = 0; i < pixels; i++) {
                                ^~~~~~
dcraw_api.cc:903:63: note: explicit data sharing attribute requested here
            #pragma omp parallel for schedule(static) default(none) \
                                                              ^
dcraw_api.cc:923:82: error: variable 'black' must have explicitly specified data
      sharing attributes
  ...((gint64)h->raw.image[i][cc] - black) *
                                    ^~~~~
/usr/local/include/glib-2.0/glib/gmacros.h:297:23: note: expanded from macro
      'MAX'
#define MAX(a, b)  (((a) > (b)) ? (a) : (b))
                      ^
/usr/local/include/glib-2.0/glib/gmacros.h:300:23: note: expanded from macro
      'MIN'
#define MIN(a, b)  (((a) < (b)) ? (a) : (b))
                      ^
dcraw_api.cc:916:63: note: explicit data sharing attribute requested here
            #pragma omp parallel for schedule(static) default(none) \
                                                              ^
dcraw_api.cc:919:33: error: variable 'pixels' must have explicitly specified
      data sharing attributes
            for (int i = 0; i < pixels; i++) {
                                ^~~~~~
dcraw_api.cc:916:63: note: explicit data sharing attribute requested here
            #pragma omp parallel for schedule(static) default(none) \
                                                              ^
4 errors generated.
gmake[4]: *** [Makefile:920: dcraw_api.o] Error 1
gmake[4]: *** Waiting for unfinished jobs....
Comment 1 Rodrigo Osorio freebsd_committer 2020-05-24 14:23:12 UTC
tanks, I'm currently taking a look at it.
Comment 2 Rodrigo Osorio freebsd_committer 2020-05-30 16:44:05 UTC
Committed, thanks
Comment 3 commit-hook freebsd_committer 2020-05-30 16:44:20 UTC
A commit references this bug:

Author: rodrigo
Date: Sat May 30 16:43:43 UTC 2020
New revision: 537094
URL: https://svnweb.freebsd.org/changeset/ports/537094

Log:
  graphics/ufraw: fix 13-CURRENT build
  Bump portrevision

  PR:		246382
  Submitted by:	cy

Changes:
  head/graphics/ufraw/Makefile